cURL
curl --request POST \
--url https://cockroachlabs.cloud/api/v1/clusters/{destination_cluster_id}/restores \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"backup_id":"1234abcd-1234-1234-abcd-12345678abcd","objects":[{"database":"database1","schema":"schema1","table":"table1"},{"database":"database1","schema":"schema1","table":"table2"}],"restore_opts":{"into_db":"database2","schema_only":true},"type":"TABLE"}'{
"backup_end_time": "2025-07-09T14:00:00Z",
"backup_id": "1234abcd-1234-1234-abcd-12345678abcd",
"completion_percent": 0,
"created_at": "2025-07-09T15:04:05Z",
"destination_cluster_name": "dest-cluster",
"id": "abcd1234-5678-90ab-cdef-1234567890ab",
"objects": [
{
"database": "mydb",
"schema": "public",
"table": "users"
}
],
"source_cluster_name": "src-cluster",
"status": "PENDING",
"type": "TABLE"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Create a restore
Can be used by the following roles assigned at the organization, folder or cluster scope:
- CLUSTER_ADMIN
- CLUSTER_OPERATOR_WRITER
POST
/
api
/
v1
/
clusters
/
{destination_cluster_id}
/
restores
cURL
curl --request POST \
--url https://cockroachlabs.cloud/api/v1/clusters/{destination_cluster_id}/restores \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"backup_id":"1234abcd-1234-1234-abcd-12345678abcd","objects":[{"database":"database1","schema":"schema1","table":"table1"},{"database":"database1","schema":"schema1","table":"table2"}],"restore_opts":{"into_db":"database2","schema_only":true},"type":"TABLE"}'{
"backup_end_time": "2025-07-09T14:00:00Z",
"backup_id": "1234abcd-1234-1234-abcd-12345678abcd",
"completion_percent": 0,
"created_at": "2025-07-09T15:04:05Z",
"destination_cluster_name": "dest-cluster",
"id": "abcd1234-5678-90ab-cdef-1234567890ab",
"objects": [
{
"database": "mydb",
"schema": "public",
"table": "users"
}
],
"source_cluster_name": "src-cluster",
"status": "PENDING",
"type": "TABLE"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Authorizations
Path Parameters
Body
application/json
Response
A successful response.

